New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

External compile issues #31

Closed
danomatika opened this Issue Dec 30, 2012 · 1 comment

Comments

Projects
None yet
2 participants
@danomatika
Copy link
Member

danomatika commented Dec 30, 2012

Which version of the externals sources should we use with libpd?

Some ofxPd users are running into compile/link issues over things that worked before, so I'm thinking the libpd and pd-extended external versions are out of sync:

In fact the error is related with a duplicate function issue ...
In s_print.c (in libPd) and in zexy.c there is a function :

void verbose(int level, const char *fmt, ...);

That is with the libpd 0.43.2 in ofxPd. I updated to the latest source here (0.43.3) and get different errors, something relating to missing sys_open, etc in zexy (I don't remember exactly).

From the OpenFrameworks forum: http://forum.openframeworks.cc/index.php/topic,6492.msg51276.html#msg51276

@nettoyeurny

This comment has been minimized.

Copy link
Member

nettoyeurny commented Jan 14, 2013

Not sure what's going on here. I opened a branch for merging Pd 0.44, which seems okay so far. Do you want to try that and see whether it makes a difference?

@danomatika danomatika closed this May 1, 2014

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment